std::atomic_ref::is_always_lock_free(3)

NAME
std::atomic_ref::is_always_lock_free - std::atomic_ref::is_always_lock_free

Synopsis
   static constexpr bool is_always_lock_free = (since C++20)
   /*implementation-defined*/;
   Equals true if the operations on this atomic_ref type is always lock-free and false
   if it is never or sometimes lock-free.
   The value of this constant is consistent with the result of member function
   is_lock_free.

See also
   is_lock_free checks if the atomic_ref object is lock-free
                (public member function)